Bug 215325 - [PATCH] mail/pear-Mail_Queue: overloading isError static mismatch
Summary: [PATCH] mail/pear-Mail_Queue: overloading isError static mismatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-12-15 17:25 UTC by ml
Modified: 2017-01-23 20:42 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments
Subersion patch to chane isError to static (927 bytes, patch)
2016-12-15 17:25 UTC, ml
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ml 2016-12-15 17:25:49 UTC
Created attachment 177996 [details]
Subersion patch to chane isError to static

Hello.

Since devel/pear was upgraded to 1.10.1, mail/pear-Mail_Queue is broken and cannot be used, giving the following error:
PHP Fatal error:  Cannot make static method PEAR::isError() non static in class Mail_Queue in /usr/local/share/pear/Mail/Queue.php on line 126

A bug was opened upstream more than a year ago, with even a patch, but was never solved:
http://pear.php.net/bugs/bug.php?id=20976

In February I notified the maintainer, who said he would "have a look".

Since maintainership was changed recently, I hope this can be solved.

Thanks.
Comment 1 Jochen Neumeister freebsd_committer 2016-12-20 20:37:02 UTC
(In reply to ml from comment #0)

Thx for the hint, i will have a look
Comment 2 Jochen Neumeister freebsd_committer 2016-12-25 08:50:59 UTC
looks ok for me

Poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r307551)

portlint is also fine.

Make test is fine, too.

Cheers
jochen
Comment 3 commit-hook freebsd_committer 2017-01-23 11:54:46 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jan 23 11:54:18 UTC 2017
New revision: 432211
URL: https://svnweb.freebsd.org/changeset/ports/432211

Log:
  mail/pear-Mail_Queue: overloading isError static mismatch

  Since devel/pear was upgraded to 1.10.1, mail/pear-Mail_Queue
  was broken and could not be used, giving the following error:
    PHP Fatal error:  Cannot make static method PEAR::isError() non
    static in class Mail_Queue in /usr/local/share/pear/Mail/Queue.php on line 126

  Upstream bug report: http://pear.php.net/bugs/bug.php?id=20976

  PR:		215325
  Submitted by:	ml@netfence.it
  Reported by:	ml@netfence.it
  MFH:		2017Q1
  Approved by:	Jochen Neumeister (maintainer), rakuco (mentor)

Changes:
  head/mail/pear-Mail_Queue/Makefile
  head/mail/pear-Mail_Queue/files/
  head/mail/pear-Mail_Queue/files/patch-Mail_Queue.php
Comment 4 commit-hook freebsd_committer 2017-01-23 20:42:13 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jan 23 20:41:48 UTC 2017
New revision: 432290
URL: https://svnweb.freebsd.org/changeset/ports/432290

Log:
  MFH: r432211

  mail/pear-Mail_Queue: overloading isError static mismatch

  Since devel/pear was upgraded to 1.10.1, mail/pear-Mail_Queue
  was broken and could not be used, giving the following error:
    PHP Fatal error:  Cannot make static method PEAR::isError() non
    static in class Mail_Queue in /usr/local/share/pear/Mail/Queue.php on line 126

  Upstream bug report: http://pear.php.net/bugs/bug.php?id=20976

  PR:		215325
  Submitted by:	ml@netfence.it
  Reported by:	ml@netfence.it
  Approved by:	Jochen Neumeister (maintainer), rakuco (mentor)

  Approved by:	ports-secteam (feld), rakuco (mentor)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/mail/pear-Mail_Queue/Makefile
  branches/2017Q1/mail/pear-Mail_Queue/files/